Summary:	A library providing low-level functions for DVD reading and seeking
Name:		libdvdplay
Version:	1.0.1
Release:	6%{?dist}
License:	GPLv2
Group:		System Environment/Libraries
URL:		http://developers.videolan.org/libdvdplay/
Source0:	http://download.videolan.org/pub/libdvdplay/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot-%(%{__id_u} -n)
BuildRequires:	libdvdread-devel
BuildRequires:	gcc

%package devel
Summary:	Development files for %{name}.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

# -----------------------------------------------------------------------------

%description
libdvdplay is a cross-platform layer over libdvdread that provides
low-level functions for DVD reading and seeking, as well as access to
the DVD data (subtitles, languages, chapters). It also provides the
virtual machine required for DVD navigation to the client application.

%description devel
This package contains development files for %{name}.

libdvdplay is a cross-platform layer over libdvdread that provides
low-level functions for DVD reading and seeking, as well as access to
the DVD data (subtitles, languages, chapters). It also provides the
virtual machine required for DVD navigation to the client application.

# -----------------------------------------------------------------------------

%prep
%setup -q

# -----------------------------------------------------------------------------

%build
%configure 
make %{?_smp_mflags}

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

# -----------------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README THANKS TODO
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root,-)
%exclude %{_libdir}/%{name}.la
%{_includedir}/dvdplay
%{_libdir}/%{name}.so
%{_libdir}/%{name}.a

# -----------------------------------------------------------------------------

%changelog
* Thu Sep 13 2018 J. Randall Owens <jrowens@deneb.ghiapet.net> - 1.0.1-6
- BuildRequire gcc for F29

* Fri Nov 25 2016 J. Randall Owens <jrowens@ghiapet.net> - 1.0.1-5
- clean up per rpmlint
- more specific License

* Mon Jun 16 2008 J. Randall Owens <jrowens@ghiapet.net> - 1.0.1-4
- Rebuild for Fedora 9

* Mon Mar 13 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> 1.0.1-4 
- Drop Epoch completely

* Thu Mar 09 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- switch to new release field
- drop Epoch

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- add dist

* Wed May 19 2004 Dams <anvil[AT]livna.org> 0:1.0.1-0.lvn.3
- Added URL in Source0

* Sat Aug 30 2003 Dams <anvil[AT]livna.org> 0:1.0.1-0.fdr.2
- Removed comment after scriplets to avoid it to be embedded
- Added fedora buildroot

* Wed Aug 27 2003 Dams <anvil[AT]livna.org> 0:1.0.1-0.fdr.2
- Added classic doc files
- Modified devel description

* Fri Apr  4 2003 Dams <anvil[AT]livna.org> 
- Initial build.
